package cn.ibizlab.core.uaa.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;

import cn.ibizlab.core.uaa.domain.SYS_USER;
import cn.ibizlab.core.uaa.filter.SYS_USERSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[SYS_USER] 服务对象接口
 */
public interface ISYS_USERService extends IService<SYS_USER>{

    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean update(SYS_USER et) ;
    void updateBatch(List<SYS_USER> list) ;
    boolean checkKey(SYS_USER et) ;
    SYS_USER get(String key) ;
    boolean save(SYS_USER et) ;
    void saveBatch(List<SYS_USER> list) ;
    SYS_USER getDraft(SYS_USER et) ;
    boolean create(SYS_USER et) ;
    void createBatch(List<SYS_USER> list) ;
    Page<SYS_USER> searchDefault(SYS_USERSearchContext context) ;



    List<JSONObject> select(String sql);
    boolean execute(String sql);

}


